/**
 * @author Rafael Ostertag <rafael.ostertag@math.uzh.ch>
 */

/* @depend Element.js */

if (!QfqNS) {
    var QfqNS = {};
}

if (!QfqNS.Element) {
    QfqNS.Element = {};
}

(function (n) {
    'use strict';


    /**
     *
     * @param $element
     * @constructor
     */
    function Checkbox($element) {
        n.Element.call(this, $element);

        if (!this.isType("checkbox")) {
            throw new Error("$element is not of type 'checkbox'");
        }
    }

    Checkbox.prototype = Object.create(n.Element.prototype);
    Checkbox.prototype.constructor = Checkbox;

    Checkbox.prototype.setValue = function (val) {
        this.formGroup.$element.prop('checked', val);
    };

    Checkbox.prototype.getValue = function () {
        return this.formGroup.$element.prop('checked');
    };

    n.Checkbox = Checkbox;

})(QfqNS.Element);
